Bug 261384 - crash while scrolling the raw image preview
Summary: crash while scrolling the raw image preview
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-RAW (show other bugs)
Version: 1.2.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-27 15:26 UTC by artemus_86
Modified: 2017-07-27 10:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.0


Attachments
KDE crash handler report (15.17 KB, text/plain)
2010-12-27 15:27 UTC, artemus_86
Details

Note You need to log in before you can comment on or make changes to this bug.
Description artemus_86 2010-12-27 15:26:15 UTC
Version:           1.2.0 (using KDE 4.4.2) 
OS:                Linux

Digikam 1.2.0 crashed when I was scrolling the preview of a DNG raw image at 1:1 magnification.

Reproducible: Sometimes
Comment 1 artemus_86 2010-12-27 15:27:11 UTC
Created attachment 55289 [details]
KDE crash handler report
Comment 2 Christoph Feck 2010-12-27 16:12:42 UTC
digiKam 1.2.0 is old, please update to a newer version.

Partial trace from comment #1:

Thread 1 (Thread 0x7f19494c47e0 (LWP 8372)):
[KCrash Handler]
#5  0x00007f19465498c5 in Digikam::PreviewWidget::slotPanIconSelectionMoved(QRect const&, bool) () from /usr/lib/libdigikamcore.so.1
#6  0x00007f194654d04e in Digikam::PreviewWidget::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdigikamcore.so.1
#7  0x00007f194661e570 in Digikam::RawPreview::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdigikamcore.so.1
#8  0x00007f1942c73e3f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#9  0x00007f1946548b63 in Digikam::PanIconWidget::signalSelectionMoved(QRect const&, bool) () from /usr/lib/libdigikamcore.so.1
#10 0x00007f1946548d1d in Digikam::PanIconWidget::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libdigikamcore.so.1
#11 0x00007f1943ba1582 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
Comment 3 caulier.gilles 2010-12-27 18:29:35 UTC
This problem have been already seen there and fixed. Please update.

Gilles Caulier
Comment 4 Marcel Wiesweg 2011-01-18 15:53:07 UTC
Problem is probably solved, with 2.0, the code has even been rewritten. Feel free to reopen though if you can reproduce with a recent version (>= 1.7)